unit _AbPrintTrend;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  _AbTrend, ExtCtrls, AbPrtTrd, StdCtrls, AbNumEdit, Printers;

type
  TAbPrintTrendForm = class(TForm)
    Panel1: TPanel;
    ScrollBox1: TScrollBox;
    LandscapeAbPrintTrend: TAbPrintTrend;
    PaintBox1: TPaintBox;
    Label1: TLabel;
    Label2: TLabel;
    ZoomComboBox: TComboBox;
    PortraitAbPrintTrend: TAbPrintTrend;
    LandscapeButton: TButton;
    PortraitButton: TButton;
    PrintDialog1: TPrintDialog;
    ColorCheckBox: TCheckBox;
    Memo1: TMemo;
    procedure ZoomComboBoxChange(Sender: TObject);
    procedure LandscapeButtonClick(Sender: TObject);
    procedure PortraitButtonClick(Sender: TObject);
    procedure ColorCheckBoxClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  AbPrintTrendForm: TAbPrintTrendForm;
  FromRec, ToRec : Integer;

implementation

{$R *.DFM}

procedure TAbPrintTrendForm.ZoomComboBoxChange(Sender: TObject);
begin
  LandscapeAbPrintTrend.PreviewZoom := StrToInt(ZoomComboBox.Text) /100;
end;

procedure TAbPrintTrendForm.LandscapeButtonClick(Sender: TObject);
begin
  if PrintDialog1.Execute then
    with Printer do begin
      Title := 'PrintTrend-Demo';
      Orientation := poLandscape;
      LandscapeAbPrintTrend.PrintTrend(100,50);
    end;
end;

procedure TAbPrintTrendForm.PortraitButtonClick(Sender: TObject);
begin
  if PrintDialog1.Execute then
    with Printer do begin
      Title := 'PrintTrend-Demo';
      Orientation := poPortrait;
      BeginDoc;
      PortraitAbPrintTrend.ExPrintTrend(50,50);
      PortraitAbPrintTrend.ExPrintTrend(50,1450);
      EndDoc;
    end;
end;

procedure TAbPrintTrendForm.ColorCheckBoxClick(Sender: TObject);
begin
  with PortraitAbPrintTrend do
    if ColorCheckBox.Checked then
      Options := Options + [ptColor]
    else
      Options := Options - [ptColor];

  with LandscapeAbPrintTrend do
    if ColorCheckBox.Checked then
      Options := Options + [ptColor]
    else
      Options := Options - [ptColor];

end;

procedure TAbPrintTrendForm.FormCreate(Sender: TObject);
begin
  ZoomComboBox.ItemIndex := 6;
  PortraitAbPrintTrend.RecFrom := AbTrendForm.AbTrend1.RecordInfo.FirstDisplayedRec;
  PortraitAbPrintTrend.RecTo := AbTrendForm.AbTrend1.RecordInfo.LastDisplayedRec;
end;

end.
